Bug 651880 - Review Request: rubygem-couchrest - Lean and RESTful interface for CouchDB
Summary: Review Request: rubygem-couchrest - Lean and RESTful interface for CouchDB
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-10 14:48 UTC by Jozef Zigmund
Modified: 2011-03-22 08:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-22 08:38:39 UTC


Attachments (Terms of Use)

Description Jozef Zigmund 2010-11-10 14:48:07 UTC
Spec URL: http://people.redhat.com/jzigmund/rubygem-couchrest.spec
SRPM URL: http://people.redhat.com/jzigmund/rubygem-couchrest-1.0.1-1.fc13.src.rpm
Description: It provides a simple interface on top of CouchDB's RESTful HTTP API,
as well as including some utility scripts for managing
views and attachments.

Comment 1 Mamoru TASAKA 2010-11-12 19:00:45 UTC
Some notes

* Unused macro
  - Defined macro %ruby_sitelib is used nowhere in the spec file

* License
-------------------------------------------------------------
Overall:	ASL 2.0

MIT
./lib/couchrest/support/inheritable_attributes.rb
-------------------------------------------------------------
  - The license tag should be "ASL 2.0 and MIT".

* Requires
  - Currently "rubygem(json) >= 1.4.6" is only available on rawhide.
    Would you check if version no less than 1.4.6 is really needed for
    this rpm? If not, modify spec file, and gemspec / Rakefile
    in the binary rpm.
    ( Again would you check if the binary rpm rebuilt from your
      srpm can really be installed beforehand? It seems that
      you are using F-13 system, however rubygem-json on F-13 is
      still 1.1.9 )

  - It is true that rubygem(mime-types) is required by
    installed gemspec file, however would you check if this
    dependency is really needed? None of the files in
    rubygem-couchrest binary rpms seems to have "require 'mime/types'" or
    so.
    If this dependency is not really needed, please remove this from
    spec file and included Rakefile/gemspec

* Documents
  - I guess %geminstdir/utils should be moved to -doc
  - Instead %{geminstdir}/THANKS.md should be moved to main package.

Comment 2 Mamoru TASAKA 2010-11-20 17:54:25 UTC
ping?

Comment 3 Mamoru TASAKA 2010-11-27 16:22:47 UTC
ping again?

Comment 4 Vít Ondruch 2011-03-22 08:38:39 UTC
This is optional dependency for #641957, but not required ATM.


Note You need to log in before you can comment on or make changes to this bug.